GeekBuilding的头像-卡核
这家伙很懒,什么都没有写...
ObjectARX开发视频教程(C++)-创建模态对话框绘制直线-卡核

ObjectARX开发视频教程(C++)-创建模态对话框绘制直线

概要:   在ObjectARX中使用MFC创建非模态对话框,并使用对话框创建一条直线。 效果: 视频教程链接: 腾讯视频: 《ObjectARX二次开发视频教程-对话框-创建直...
【CAD二次开发】-ObjectARX-扩展数据 (Xdata)-卡核

【CAD二次开发】-ObjectARX-扩展数据 (Xdata)

基本思路: (1)创建一个新项目,命名为Xdata.注册一个命令AddXData. 实现代码为: static void AAAMyGroupAddXData() { // 提示用户选择所要添加扩展数据的图...
【CAD二次开发】-ObjectARX-JIG  一拖多 (MultipleEntJig)-卡核

【CAD二次开发】-ObjectARX-JIG 一拖多 (MultipleEntJig)

  本文介绍的例子是沿一个圆弧实体等间距放置若干个图块,用户拖动光标时圆弧的形状发生变化,同时插入的块参照的位置也会随之变化。 技术路线:   (1)使用O...
【CAD二次开发】-ObjectARX-双击实体的响应 (AcDbDoubleClickEdit)-卡核

【CAD二次开发】-ObjectARX-双击实体的响应 (AcDbDoubleClickEdit)

思路: 一、基本双击响应实现 (1)在vs2015中使用ObjectARX创建一个新项目DoubleClick,并选择 MFC支持。 向工程中添加一个普通类CDoubleClickCircle,它的基类设置为A...
CAD二次开发-ObjectARX(C++)-查找所有AcDbLine直线的交点-卡核

CAD二次开发-ObjectARX(C++)-查找所有AcDbLine直线的交点

(1)使用ObjectARX向导创建一个项目LineIntersections (2)首先,我们需要准备我们的CMap结构,以便能够将AcGePoint3d作为映射键来处理。我们的想法是对...
【CAD二次开发】-ObjectARX-设置自定义对象的子实体层-卡核

【CAD二次开发】-ObjectARX-设置自定义对象的子实体层

    声明:本文的为翻译文章,原文地址为:http://adndevblog.typepad.com/autocad/objectarx/   有时候我们希望将自定义对象的子实体设置为特定图层。当相应的图层发生变...
ObjectARX(VC++)-ADSRX和用户交互-acedCommand函数和结果缓冲区-卡核

ObjectARX(VC++)-ADSRX和用户交互-acedCommand函数和结果缓冲区

创建一个ObjectARX工程,名称为Resbuf。 一、注册一个新命令AddCircle1 (1) ---------------------  (2)代码实现: static void AAAMyGroupAddCircle...
在ObjectARX中使用MFC-使用MfcGridCtrl-卡核

在ObjectARX中使用MFC-使用MfcGridCtrl

(1)在VC ++中使用的ObjectARX向导创建一个新工程GridDialog1         在项目的文件夹中添加一个Common文件夹; 从我分享的百度云连接中的MfcGridCtrl文件夹复制到公...
ObjectARX(C++)-ADSRX和用户交互-选择集(SelectionSet)-卡核

ObjectARX(C++)-ADSRX和用户交互-选择集(SelectionSet)

一,选择集的创建和删除 (1)使用的的ObjectARX的向导创建一个新工程名称为SelectionSet  创建完成后,编译,若出错:  错误C2338:/ RTCc拒绝符...
AutoCAD二次开发-ObjectARX(C++)-符号表之UCS-卡核

AutoCAD二次开发-ObjectARX(C++)-符号表之UCS

  使用ObjectARX中创建一个新的项目,命名为OperateUCS。   一,注册一个命令NewUcs,创建一个新的UCS (1)获得当前图形的UCS表 AcDbUCSTable *pUcsTbl =...